function vRotated = axangrot(v,k,theta)

% rotation (of v) about a vector (k) in 3D (by an angle theta counterclockwise)
% warning: k should be a unit vector (norm 1)
% Reference: Rodrigues Rotation Formula
% https://en.wikipedia.org/wiki/Rodrigues%27_rotation_formula

vRotated = cos(theta)*v+sin(theta)*cross(k,v)+(1-cos(theta))*dot(k,v)*k;

end