function [k,theta,vRotated] = vregister(v,w)

% rotates one vector (v) to another (w) in 3D; v,w should be column vectors
% returns:
% k: unit vector about which to rotate
% theta: angle of rotation (counterclockwise)
% vRotated: registered vector

theta = acos(dot(v/norm(v),w/norm(w))); % angle of rotation
if theta < 0.00001
    k = v/norm(v); % in this case k is irrelevant, so just use normalized v
    vRotated = v;
else
    k = cross(v,w); k = k/norm(k); % unit vector about which to rotate
    vRotated = axangrot(v,k,theta);
end

end